import { z } from 'zod'

export const EmailResetPasswordAddSchema = z.object({
  email: z.string({ required_error: 'البريد الإلكتروني مطلوب' }).email('صيغة البريد الإلكتروني غير صحيحة')
})

export type EmailResetPassword = z.infer<typeof EmailResetPasswordAddSchema>

export const PasswordResetSchema = z
  .object({
    password: z.string({ required_error: 'كلمة المرور مطلوبة' }).min(6, 'يجب أن تكون كلمة المرور 6 أحرف على الأقل'),
    confirm_password: z.string({ required_error: 'تأكيد كلمة المرور مطلوب' })
  })
  .refine(data => data.password === data.confirm_password, {
    message: 'كلمتا المرور غير متطابقتين',
    path: ['confirm_password']
  })

export type PasswordReset = z.infer<typeof PasswordResetSchema>
